> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cantina.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Endpoint to retrieve a Zapier subscription.

> # Access control rules

- The requester is authenticated.
- Non admin can retrieve only their subscription.
- Admin can retrieve any subscription.



## OpenAPI

````yaml GET /api/v0/zapier/subscriptions/{id}
openapi: 3.1.0
info:
  title: Cantina Client API
  description: >-
    Endpoints available to client organizations. For an overview and
    authentication, see
    https://docs.cantina.xyz/for-organizations/getting-started/api-access.
  license:
    name: Cantina
    identifier: Cantina
  version: 0.1.0
servers: []
security: []
paths:
  /api/v0/zapier/subscriptions/{id}:
    get:
      tags:
        - zapier
      summary: Endpoint to retrieve a Zapier subscription.
      description: |-
        # Access control rules

        - The requester is authenticated.
        - Non admin can retrieve only their subscription.
        - Admin can retrieve any subscription.
      operationId: get_subscription
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: A Zapier subscription
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ZapierSubscription'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantinaError'
        '401':
          description: Access not authorised
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantinaError'
        '403':
          description: Access forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantinaError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantinaError'
components:
  schemas:
    ZapierSubscription:
      allOf:
        - $ref: '#/components/schemas/ZapierSubscriptionData'
        - type: object
          required:
            - id
            - userId
            - targetUrl
          properties:
            id:
              type: string
              format: uuid
            userId:
              type: string
              format: uuid
            targetUrl:
              type: string
    CantinaError:
      type: object
      description: Error returned by the Cantina API.
      required:
        - type
        - msg
      properties:
        type:
          $ref: '#/components/schemas/ErrorType'
        msg:
          type: string
          description: Error message for the user.
    ZapierSubscriptionData:
      oneOf:
        - type: object
          required:
            - repositoryId
            - kind
          properties:
            repositoryId:
              type: string
              format: uuid
            kind:
              type: string
              enum:
                - finding_created
        - type: object
          required:
            - repositoryId
            - kind
          properties:
            repositoryId:
              type: string
              format: uuid
            kind:
              type: string
              enum:
                - finding_label_added
        - type: object
          required:
            - repositoryId
            - kind
          properties:
            repositoryId:
              type: string
              format: uuid
            kind:
              type: string
              enum:
                - finding_comment_created
        - type: object
          required:
            - repositoryId
            - kind
          properties:
            repositoryId:
              type: string
              format: uuid
            kind:
              type: string
              enum:
                - finding_updated
    ErrorType:
      type: string
      description: Type of error.
      enum:
        - email_not_verified
        - auth_invalid
        - auth_expired
        - auth_token_missing
        - auth_id_missing
        - invalid_password
        - disabled_user
        - tc_not_accepted
        - evicted
        - unauthorized
        - bad_request
        - not_found
        - forbidden
        - gone
        - payload_too_large
        - service_unavailable
        - internal_error

````